Subject: Re: wishlist: git info

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Nov 2007 11:08:08 -0800

Johannes Schindelin <[email-masked]> writes:

> On Tue, 13 Nov 2007, Thomas Neumann wrote:
>
>> Perhaps also project description (if it exists?) one can specify a 
>> project description? I did not even know this. But yes, this would be 
>> useful, too. In general I think git info should show everything to 
>> quickly understand what is currently checked out.
>
> Is slightly troubles me that you put so much emphasis on what I would call 
> "remote information".  I understand that in svn, your working directory 
> without the server is not very useful.  But we do not have that problem.

I mildly disagree.

Exactly because you can do so much more in isolation than with
other systems like SVN, I tend to think that you would want to
know what "git remote show" gives you, and a lot more (e.g. what
"git shortlog origin@{1}..origin" would give you if you were to
fetch now).  You can deviate from the others quite a lot without
synchronizing, because git allows you to do so very easily, and
I can understand that some people will find it scary when it
comes to the point to synchronize with the others.

A stronger support to learn "what happened there while I was
looking the other way" would be a definite plus.

But "project description"?  Give me a break.  If you have cloned
the repository (or learned the existence of repository), you
already learned from elsewhere what the project is about.

I haven't spoken in this thread because honestly I found most of
the things mentioned here were totally uninteresting.